@import "../../variables"
@import "../../mixins"

.service-accordion
  margin-bottom: 20px
  &:last-child
    margin-bottom: 0
  @include acc_border
  border-radius: 5px
  .card-header,.card-body
    padding: 0
    border: none
  .service-accordion-header
    background-color: white
    padding: 14px 40px 14px 78px
    background-repeat: no-repeat
    background-position: 1rem 1.4rem
    cursor: pointer
    position: relative
    .header_main
      h4
        color: $blue
        font-size: 1rem
        line-height: 1.5
        margin-bottom: 1rem
      .header_data
        .text
          color: $text_gray
          margin-bottom: 0
      .data_list
        padding: 0

        &_item
          display: flex
          flex-wrap: wrap
          justify-content: space-between
          margin-bottom: 0.75rem
          &:last-child
            margin-bottom: 0
          &:first-child
            .key
              font-weight: 700
          .key
            width: 35%
          .value
            width: 65%
    &::after
      position: absolute
      content: ''
      background: url("/static/src/images/icons/chevron_down_blue.svg") no-repeat center center
      background-size: cover
      display: block
      width: 16px
      height: 8px
      top: calc(50% - 4px)
      right: 20px
      transition: all .3s ease-in-out
      transform: rotate(180deg)
    &.collapsed
      &::after
        transform: rotate(0)
    &.no-chevron::after
      display: none
      content: none
  .service-accordion-body
    padding: 0 20px 20px 20px
    .service-data-section
      &:first-child
        margin-top: 1px
      border-top: 1px solid $border_grey
      padding: 24px 0
      &:last-child
        padding-bottom: 0
      .data_row
        margin-bottom: 20px
        &:last-child
          margin-bottom: 0
        .key
          color: $text_gray
          line-height: 24px
        .value
          color: $text_black
          display: flex
          line-height: 24px
          .control_link
            text-decoration: underline
        .data_row_info
          display: flex
          color: $text_black
          margin-bottom: 14px
          img
            margin-right: 20px
    .loyalty-section
      padding-top: 30px
      justify-content: center
      min-height: 542px
      .loyalty-col
        display: flex
        //align-items: center
        justify-content: center
        &:last-child
          &:after
            display: none
        &:after
          content: url("../images/icons/next-arrow.svg")
          display: block
          margin: 30px 0 0 20px
          filter: grayscale(1)
        .loyalty-col-content
          display: flex
          flex-direction: column
          align-items: center
          max-width: 204px
          img
            margin-bottom: 25px
            height: 65px
            width: 65px
          .text
            text-align: center
      .btn
        margin: 70px auto 0
    .loyalty-section.discount
      min-height: 343px
  .pause_wrap

    .pause_form
      .title
        font-size: 1rem
        font-weight: 400
        margin-bottom: 1.4rem
      .date-group
        display: flex
        .input-group
          max-width: 156px
          input
            background: $light_grey
            border: 1px solid $light_grey
            border-radius: 5px 0 0 5px
            color: $text-black
          .input-group-append
            .input-group-text
              background: $light_grey
              border: 1px solid $light_grey
              border-radius: 5px 0 0 5px
      .form-group
        margin-bottom: 40px


